import { OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiMultipleSelectionElement } from "../../elements/StiMultipleSelectionElement";
export declare class StiMultipleSelectionComponent implements OnInit {
    model: StiModelService;
    element: StiMultipleSelectionElement;
    isClone: boolean;
    get columns(): any[];
    get rows(): any[];
    getColumns(rowIndex: number): any[];
    get align(): string;
    constructor(model: StiModelService);
    disableDrag(event: any): void;
    changeState(option: any): void;
    ngOnInit(): void;
}
